"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    overrides: [
        {
            files: ['*.ts', '*.tsx'],
            parser: '@typescript-eslint/parser',
            extends: [
                'plugin:@typescript-eslint/eslint-recommended',
                'plugin:@typescript-eslint/recommended',
            ],
            rules: {
                '@typescript-eslint/explicit-module-boundary-types': 'off',
                '@typescript-eslint/naming-convention': [
                    'error',
                    {
                        selector: 'default',
                        format: ['camelCase', 'PascalCase', 'UPPER_CASE'],
                        leadingUnderscore: 'allowSingleOrDouble',
                        trailingUnderscore: 'allowSingleOrDouble',
                    },
                    {
                        selector: 'typeLike',
                        format: ['PascalCase'],
                    },
                    {
                        selector: 'typeParameter',
                        format: ['PascalCase'],
                        leadingUnderscore: 'allow',
                    },
                    {
                        selector: 'interface',
                        format: ['PascalCase'],
                    },
                ],
                '@typescript-eslint/no-empty-function': 'off',
                '@typescript-eslint/no-empty-interface': 'off',
                '@typescript-eslint/no-explicit-any': 'off',
                '@typescript-eslint/no-non-null-assertion': 'off',
                '@typescript-eslint/no-unused-vars': 'off',
                'react/prop-types': 'off',
            },
        },
    ],
};
